Subject: [bug#38395] Acknowledgement ([PATCH] gnu: mumble: Update to 1.3.0.)

From: Efraim Flashner <[email-masked]>
Date: Sun, 22 Dec 2019 12:56:04 +0200

On Fri, Dec 20, 2019 at 11:07:58AM -0500, Ivan Vilata i Balaguer wrote:
> Ivan Vilata i Balaguer (2019-12-19 11:51:55 -0500) wrote:
> 
> > Efraim Flashner (2019-12-19 15:03:11 +0200) wrote:
> > 
> > > I merged the two patches together, made sure all the phases returned #t
> > > and flushed out the commit message some more.
> > 
> > Thanks a lot!  Comparing your final patch against mine was also very
> > instructive. `:)`
> 
> Before you close this issue, I upgraded my `mumble` package and many icons are
> missing.  I didn't yet have time to further investigate it, but maybe it's
> because of a difference I noticed between your patch:
> 
>     (modify-phases %standard-phases
> 
> and mine:
> 
>     (modify-phases (@ (guix build qt-build-system) %standard-phases)
> 
> So maybe the problem is that the final, wrapping phase of `qt-build-system` is
> not being run.  Actually I see that `mumble` is a plain binary while in the
> output from my patch, it was a wrapper script.
> 

I'm not sure what happened with the wrapping phase, but I changed it
back and now everything should be working as expected.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted